#
# VISUALIZATION WITH PROSECTIONS - prosection matrix
#
# Template #2
#
# Author: Tea Tusar, Jozef Stefan Institute, Slovenia (tea.tusar@ijs.si)
#
set origin (obj2-2)*sizeone,(3-obj1)*sizeone
set size sizeone,sizeone
#
set xlabel sprintf("f%gf%g", obj1, obj2) offset 0,-1,0
set ylabel sprintf("f%g", obj3) offset 0,-1,0
set zlabel sprintf("f%g", obj4) offset -1,0,0
#
set xyplane at getmin(obj4)
#
fifjmin = 0
fifjmax = sqrt((getmax(obj1)-getmin(obj1))**2 + (getmax(obj2)-getmin(obj2))**2)
#
# Copy and paste (and change accordingly) lines below if more than three approximation sets 
# are to be visualized.
#
splot [fifjmin:fifjmax][getmin(getcol(obj3)):getmax(getcol(obj3))][getmin(getcol(obj4)):getmax(getcol(obj4))] \
file1 using (abs((column(getcol(obj1))-getmin(getcol(obj1)))*cos(A)+(column(getcol(obj2))-getmin(getcol(obj2)))*sin(A))):(abs((column(getcol(obj1))-getmin(getcol(obj1)))*sin(A)-(column(getcol(obj2))-getmin(getcol(obj2)))*cos(A))<=D ? (column(getcol(obj3))) : 1/0):(column(getcol(obj4))) title key1 with points lt lt1 pt pt1 ps 1, \
file2 using (abs((column(getcol(obj1))-getmin(getcol(obj1)))*cos(A)+(column(getcol(obj2))-getmin(getcol(obj2)))*sin(A))):(abs((column(getcol(obj1))-getmin(getcol(obj1)))*sin(A)-(column(getcol(obj2))-getmin(getcol(obj2)))*cos(A))<=D ? (column(getcol(obj3))) : 1/0):(column(getcol(obj4))) title key2 with points lt lt2 pt pt2 ps 1, \
file3 using (abs((column(getcol(obj1))-getmin(getcol(obj1)))*cos(A)+(column(getcol(obj2))-getmin(getcol(obj2)))*sin(A))):(abs((column(getcol(obj1))-getmin(getcol(obj1)))*sin(A)-(column(getcol(obj2))-getmin(getcol(obj2)))*cos(A))<=D ? (column(getcol(obj3))) : 1/0):(column(getcol(obj4))) title key3 with points lt lt3 pt pt3 ps 1

